/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package alaposztalyok;

import java.awt.Graphics;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
 *
 * @author :)
 */
public class Vadasz {
    private Image kep = new ImageIcon(this.getClass().getResource("/kepek/vadasz.gif")).getImage();
    
    private int kepX, kepY;
    private static int kepSzelesseg;
    private static int kepMagassag;    

    public Vadasz(int kepX, int kepY) {
        this.kepX = kepX;
        this.kepY = kepY;
    }

    public void rajzolas(Graphics g){
        g.drawImage(kep, kepX-kepSzelesseg/2, kepY-kepMagassag/2, kepSzelesseg, kepMagassag, null);
    }

    /**
     * Ellenőrzi, hogy megfogták-e az adott pontban.
     * @param x
     * @param y
     * @return 
     */
    public boolean megfogtak(int x, int y) {
        return kepX - kepSzelesseg/2 <= x && x <= kepX + kepSzelesseg/2 &&
               kepY-kepMagassag/2 <= y && y <= kepY + kepMagassag/2;
    }
    
    public Image getKep() {
        return kep;
    }

    public void setKep(Image kep) {
        this.kep = kep;
    }

    public int getKepX() {
        return kepX;
    }

    public void setKepX(int kepX) {
        this.kepX = kepX;
    }

    public int getKepY() {
        return kepY;
    }

    public void setKepY(int kepY) {
        this.kepY = kepY;
    }

    public static int getKepSzelesseg() {
        return kepSzelesseg;
    }

    public static void setKepSzelesseg(int kepSzelesseg) {
        Vadasz.kepSzelesseg = kepSzelesseg;
    }

    public static int getKepMagassag() {
        return kepMagassag;
    }

    public static void setKepMagassag(int kepMagassag) {
        Vadasz.kepMagassag = kepMagassag;
    }    

}
